<?php
	Header("Content-type: image/png");
	include("func.php");

	$width = getValueFromRequest("width", 15);
	$height = getValueFromRequest("height", 15);
	$text = getValueFromRequest("text", "");
	$font = getValueFromRequest("font", 3);

	$im = ImageCreateTrueColor($width, $height);

	$white = ImageColorAllocate($im, 255, 255, 255);
	$black = ImageColorAllocate($im, 0,0,0);
	$blue = ImageColorAllocate($im, 0, 0, 255);

	ImageFilledRectangle($im, 0, 0, $width, $height, $blue);
	ImageRectangle($im, 0, 0, $width, $height, $black);

	$fontheight = imagefontheight($font);
	$fontwidth = imagefontwidth($font);

	ImageString($im, $font, ($width - $fontwidth * strlen($text))/2 + 1,  ($height - $fontheight)/2, $text, $white);

	ImagePng($im);
	ImageDestroy($im);
?>
