<?php
	Header("Content-type: image/png");

	$size=$_REQUEST["size"];
	if($_REQUEST["dir"] == "vertical") {
		$flip = 0;
	} else {
		$flip = 1;
	}
	$lines=ceil(log($size, 2));
	$scale = 4;

	if($flip) {
		$im = ImageCreateTrueColor(pow(2, $lines), $scale*$lines);
	} else {
		$im = ImageCreateTrueColor($scale*$lines, pow(2, $lines));
	}

	$white = ImageColorAllocate($im, 255, 255, 255);
	$gray = ImageColorAllocate($im, 200, 200, 200);
	$black = ImageColorAllocate($im, 0, 0, 0);

	for($i = 0; $i < $lines; $i++) {
		$step = pow(2, $lines - $i - 1);
		for($j = 0; $j < pow(2, $i + 1); $j++) {
			if($j % 2) {
				if($flip) {
					ImageFilledRectangle($im, $j * $step, $scale*$i, ($j + 1)*$step, $scale*($i+1) - 1, $gray);
				} else {
					ImageFilledRectangle($im, $scale*$i, $j * $step, $scale*($i+1) - 1, ($j + 1)*$step, $gray);
				}
			} else {
				if($flip) {
					ImageFilledRectangle($im, $j * $step, $scale*$i, ($j + 1)*$step, $scale*($i+1) - 1, $black);
				} else {
					ImageFilledRectangle($im, $scale*$i, $j * $step, $scale*($i+1) - 1, ($j + 1)*$step, $black);
				}
			}
		}
	}

	if($flip) {
		$out = ImageCreateTrueColor($size, $scale*$lines);
		ImageCopy($out, $im, 0, 0, 0, 0, $size, $scale*$lines);
	} else {
		$out = ImageCreateTrueColor($scale*$lines, $size);
		ImageCopy($out, $im, 0, 0, 0, 0, $scale*$lines, $size);
	}
	ImagePng($out);
	ImageDestroy($im);
	ImageDestroy($out);
?>
