<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
 <HEAD>
  <TITLE>
   mobile map by petschge.de &amp; lusiardi.de
  </TITLE>
  <META name="author" content="Petschge, n0ob">
  <META name="date" content="2008-12-11">
  <META name="robots" content="index">
  <META http-equiv="content-type" content="text/html; charset=iso-8859-1">
  <META name="generator" content="vim 7.0">
  <LINK rel="shortcut icon" href="/favicon.ico">
  <LINK rel="stylesheet" type="text/css" href="style.css">
 </HEAD>
 <BODY>
<?php
	include("func.php");

	// for Palm Treo 500v
	$width = getValueFromRequest("width", "312");
	$height = getValueFromRequest("height", "180");
	$border = getValueFromRequest("border", "3");

	$x = getValueFromRequest("_x", "-1");
	$x = getValueFromRequest("x", $x);
	$y = getValueFromRequest("_y", "-1");
	$y = getValueFromRequest("y", $y);
	$comment = getValueFromRequest("comment", "");
	$nickname = getValueFromRequest("nickname", "noname");

	// Würzburg
	$lat = getValueFromRequest("lat", "49.793");
	$lon = getValueFromRequest("lon", "9.931");
	$zoom = getValueFromRequest("zoom", "12");
	$layer = getValueFromRequest("layer", "B00FFF");

	$default = array("width" => $width, "height" => $height, "border" => $border, "lat" => $lat, "lon" => $lon, "zoom" => $zoom, "layer" => $layer);

	$up = clipZoom(1, $zoom - 1, 16);
	$down = clipZoom(1, $zoom + 1, 16);
	// 2 x border for scrolling. image split into 3x3
	$w = $width- 2*$border;
	$h = $height- 2*$border;

	// how wide and high is a tile in degres
	$dlon = 360/pow(2, $zoom);
	$dlat = 360 * cos($lat * pi() / 180)/pow(2, $zoom);

	if($x > 0 && $y > 0 && $comment != "") {
		$buglat = $lat - ($y - $h/2) * $dlat / 256;
		$buglon = $lon + ($x - $w/2) * $dlon / 256;

		$ch = curl_init("http://openstreetbugs.appspot.com/addPOIexec");
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_POST, true);
		curl_setopt($ch, CURLOPT_POSTFIELDS, "lon=$buglon&lat=$buglat&text=".urlencode("$comment [$nickname]"));
		$result = curl_exec($ch);
		curl_close($ch);
		if(substr($result, 0, 2) == "ok") {
			echo "report filed<BR>\n";
		} else {
			echo "Something went wrong.<BR>\n";
		}

		echo "<A href=\"map.php?".toURL($default)."\">Back to the map</A>\n";
	} else if($x > 0 && $y > 0) {
		echo "<FORM action=\"addbug.php\">\n";
		reset($default);
		while(list($key, $val) = each($default)) {
			echo "<INPUT type=\"hidden\" name=\"$key\" value=\"$val\">\n";
		}
		echo "<INPUT type=\"hidden\" name=\"x\" value=\"$x\">\n";
		echo "<INPUT type=\"hidden\" name=\"y\" value=\"$y\">\n";
		echo "<LABEL for=\"nickname\">Nickname:</LABEL><BR>\n";
		echo "<INPUT type=\"text\" id=\"nickname\" name=\"nickname\" value=\"noname\"><BR>\n";
		echo "<LABEL for=\"comment\">Comment:</LABEL><BR>\n";
		echo "<INPUT type=\"text\" id=\"comment\" name=\"comment\" value=\"\"><BR>\n";
		echo "<INPUT type=\"submit\" value=\"Send\">\n";
		echo "</FORM>\n";
	} else {
		echo "<H3>Pick spot</H3>\n";
		echo "<FORM action=\"addbug.php\">\n";
		while(list($key, $val) = each($default)) {
			echo "<INPUT type=\"hidden\" name=\"$key\" value=\"$val\">\n";
		}
		echo "<INPUT type=\"image\" src=\"tile.php?width=$w&amp;height=$h&amp;lat=$lat&amp;lon=$lon&amp;zoom=$zoom&amp;py=2&amp;px=2&amp;layer=$layer\">\n";
		echo "</FORM>\n";
	}
?>
 </BODY>
</HTML>
